Name:		parallel
Summary:	A shell tool for executing jobs in parallel
Version:	20151222
Release:	1
License:	GPLv3
Source0:	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2
Source1:	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2.sig
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.gnu.org/software/parallel/
Group:		File tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl >= 5.8.8, sed
Requires:	perl >= 5.8.8

%description
GNU parallel is a perl tool for executing jobs in parallel locally
or using remote machines. A job is typically a single command or a small
script that has to be run for each of the lines in the input. The typical
input is a list of files, a list of hosts, a list of users, a list of URLs,
or a list of tables.


%prep
%setup -q
%patch0


%build
# we need to find our Perl before the system Perl
export PATH=/opt/freeware/bin:$PATH
export PERL=/opt/freeware/bin/perl
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

%{_bindir}/sed -i -e 's|#!/usr/bin/perl -w|#!/opt/freeware/bin/perl -w|g' ${RPM_BUILD_ROOT}%{_bindir}/%{name}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system) 
%doc README NEWS src/%{name}.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
/usr/bin/%{name}


%changelog
* Fri Dec 25 2015 Michael Perzl <michael@perzl.org> - 20151222-1
- updated to version 20151222

* Mon Nov 23 2015 Michael Perzl <michael@perzl.org> - 20151122-1
- updated to version 20151122

* Thu Oct 22 2015 Michael Perzl <michael@perzl.org> - 20151022-1
- updated to version 20151022

* Tue Sep 22 2015 Michael Perzl <michael@perzl.org> - 20150922-1
- updated to version 20150922

* Sun Aug 23 2015 Michael Perzl <michael@perzl.org> - 20150822-1
- updated to version 20150822

* Wed Jul 22 2015 Michael Perzl <michael@perzl.org> - 20150722-1
- updated to version 20150722

* Tue Jun 23 2015 Michael Perzl <michael@perzl.org> - 20150622-1
- updated to version 20150622

* Sat May 23 2015 Michael Perzl <michael@perzl.org> - 20150522-1
- updated to version 20150522

* Mon Apr 27 2015 Michael Perzl <michael@perzl.org> - 20150422-1
- updated to version 20150422

* Mon Mar 23 2015 Michael Perzl <michael@perzl.org> - 20150322-1
- updated to version 20150322

* Sun Feb 22 2015 Michael Perzl <michael@perzl.org> - 20150222-1
- updated to version 20150222

* Thu Jan 22 2015 Michael Perzl <michael@perzl.org> - 20150122-1
- updated to version 20150122

* Sun Nov 23 2014 Michael Perzl <michael@perzl.org> - 20141122-1
- updated to version 20141122

* Wed Oct 22 2014 Michael Perzl <michael@perzl.org> - 20141022-1
- updated to version 20141022

* Tue Sep 23 2014 Michael Perzl <michael@perzl.org> - 20140922-1
- updated to version 20140922

* Mon Aug 25 2014 Michael Perzl <michael@perzl.org> - 20140822-1
- updated to version 20140822

* Tue Jul 22 2014 Michael Perzl <michael@perzl.org> - 20140722-1
- updated to version 20140722

* Mon Jun 23 2014 Michael Perzl <michael@perzl.org> - 20140622-1
- updated to version 20140622

* Fri May 23 2014 Michael Perzl <michael@perzl.org> - 20140522-1
- updated to version 20140522

* Tue Apr 22 2014 Michael Perzl <michael@perzl.org> - 20140422-1
- updated to version 20140422

* Sat Mar 22 2014 Michael Perzl <michael@perzl.org> - 20140322-1
- updated to version 20140322

* Sun Feb 23 2014 Michael Perzl <michael@perzl.org> - 20140222-1
- updated to version 20140222

* Wed Jan 22 2014 Michael Perzl <michael@perzl.org> - 20140122-1
- updated to version 20140122

* Mon Nov 25 2013 Michael Perzl <michael@perzl.org> - 20131122-1
- updated to version 20131122

* Mon Oct 22 2013 Michael Perzl <michael@perzl.org> - 20131022-1
- updated to version 20131022

* Mon Sep 23 2013 Michael Perzl <michael@perzl.org> - 20130922-1
- updated to version 20130922

* Thu Aug 22 2013 Michael Perzl <michael@perzl.org> - 20130822-1
- updated to version 20130822

* Mon Jul 22 2013 Michael Perzl <michael@perzl.org> - 20130722-1
- updated to version 20130722

* Sun Jun 23 2013 Michael Perzl <michael@perzl.org> - 20130622-1
- updated to version 20130622

* Wed May 22 2013 Michael Perzl <michael@perzl.org> - 20130522-1
- updated to version 20130522

* Mon Apr 22 2013 Michael Perzl <michael@perzl.org> - 20130422-1
- updated to version 20130422

* Fri Feb 22 2013 Michael Perzl <michael@perzl.org> - 20130222-1
- updated to version 20130222

* Tue Jan 22 2013 Michael Perzl <michael@perzl.org> - 20130122-1
- updated to version 20130122

* Sat Dec 22 2012 Michael Perzl <michael@perzl.org> - 20121222-1
- updated to version 20121222

* Thu Nov 22 2012 Michael Perzl <michael@perzl.org> - 20121122-1
- updated to version 20121122

* Tue Oct 23 2012 Michael Perzl <michael@perzl.org> - 20121022-1
- updated to version 20121022

* Thu Aug 23 2012 Michael Perzl <michael@perzl.org> - 20120822-1
- updated to version 20120822

* Mon Jun 25 2012 Michael Perzl <michael@perzl.org> - 20120622-1
- updated to version 20120622

* Tue May 22 2012 Michael Perzl <michael@perzl.org> - 20120522-1
- updated to version 20120522

* Sun Apr 22 2012 Michael Perzl <michael@perzl.org> - 20120422-1
- updated to version 20120422

* Thu Mar 22 2012 Michael Perzl <michael@perzl.org> - 20120322-1
- updated to version 20120322

* Wed Feb 22 2012 Michael Perzl <michael@perzl.org> - 20120222-1
- updated to version 20120222

* Fri Jan 27 2012 Michael Perzl <michael@perzl.org> - 20120122-1
- updated to version 20120122

* Thu Dec 22 2011 Michael Perzl <michael@perzl.org> - 20111222-1
- updated to version 20111222

* Tue Nov 22 2011 Michael Perzl <michael@perzl.org> - 20111122-1
- updated to version 20111122

* Mon Oct 24 2011 Michael Perzl <michael@perzl.org> - 20111022-1
- updated to version 20111022

* Mon Aug 22 2011 Michael Perzl <michael@perzl.org> - 20110822-1
- updated to version 20110822

* Fri Jul 22 2011 Michael Perzl <michael@perzl.org> - 20110722-1
- updated to version 20110722

* Wed Jun 22 2011 Michael Perzl <michael@perzl.org> - 20110622-1
- updated to version 20110622

* Sun May 22 2011 Michael Perzl <michael@perzl.org> - 20110522-1
- updated to version 20110522

* Fri Apr 22 2011 Michael Perzl <michael@perzl.org> - 20110422-1
- updated to version 20110422

* Tue Mar 22 2011 Michael Perzl <michael@perzl.org> - 20110322-1
- updated to version 20110322

* Sat Feb 05 2011 Michael Perzl <michael@perzl.org> - 20110205-1
- updated to version 20110205

* Wed Jan 26 2011 Michael Perzl <michael@perzl.org> - 20110125-1
- updated to version 20110125

* Sun Jan 23 2011 Michael Perzl <michael@perzl.org> - 20110122-1
- updated to version 20110122

* Thu Jan 13 2011 Michael Perzl <michael@perzl.org> - 20101222-1
- updated to version 20101222

* Thu Dec 02 2010 Michael Perzl <michael@perzl.org> - 20101202-1
- updated to version 20101202

* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 20101122-1
- updated to version 20101122

* Mon Nov 15 2010 Michael Perzl <michael@perzl.org> - 20101113-1
- updated to version 20101113

* Thu Sep 30 2010 Michael Perzl <michael@perzl.org> - 20100922-1
- updated to version 20100922

* Mon Sep 06 2010 Michael Perzl <michael@perzl.org> - 20100906-1
- updated to version 20100906

* Mon Aug 23 2010 Michael Perzl <michael@perzl.org> - 20100822-1
- updated to version 20100822

* Mon Jul 26 2010 Michael Perzl <michael@perzl.org> - 20100722-1
- first version for AIX5L v5.1 and higher
